# curl 访问fttp服务器
## 下载MU_DFP_20210701_1.txt.gz 到MU_DFP_20210831_1.txt.gz文件到本地

-  dfp服务器

``` bash
 curl ftp://10.111.9.99/MU_DFP_[20210701-20210831]_1.txt.gz   --user ftp1:Cua123456! --remote-name
```
- MKT服务器

```bash
curl ftp://10.16.0.127/bigdata/mkt_flight_[20201001-20201031].zip --user kn_it_kn:KN_it_d1a2t3  --remote-name
```

- ACCA服务器

``` bash
 curl ftp://10.16.0.127/ --user kn_acca:kn_acca_2021@
```

## 查询ftp://10.111.9.99/ 服务器下根目录的文件列表

``` bash 
 curl ftp://10.111.9.99/ --user ftp1:Cua123456!
```


# tar 分卷压缩和解压

## 压缩
- 分卷压缩文件夹，且切分为2G文件， 切分的文件名为dfp.tar.gz.aa,dfp.tar.gz.ab。。。。
``` bash
tar -czf - 文件夹 | split -b 2048m - dfp.tar.gz
tar -czf - 文件夹 | split -b 2048m -d
```

## 解压
- 解压到当前目录
``` bash
cat 文件名.tar.gz* | tar -xzf -  #将各个分卷压缩包解压到当前目录

cat 文件名.tar.gz* > 文件名.tar.gz #将各个分卷压缩包合成为一个 文件名.tar.gz文件
```
